﻿using UnityEngine;
using System.Collections;

public class ColorballChild : MonoBehaviour {

    public ColorballParent colorballParent;
    public ConnectedObjects connectedObject;

    void Start() {
        connectedObject = GetComponent<ConnectedObjects>();
    }

    void OnCollisionEnter2D( Collision2D other ) {
        if ( connectedObject.isCurrentObject ) {
            PlayerBlackWorld player = other.gameObject.GetComponent<PlayerBlackWorld>();
            if ( player ) {
                if ( player.getTongueIsReaching() ) {
                    colorballParent.gotCaptured();
                }
            }
        }
    }
}
