﻿using UnityEngine;
using System.Collections;

public class ColorballParent : MonoBehaviour {

    private GlobalController globalController;
    public ColorballChild whiteWorldChild;
    public ColorballChild blackWorldChild;

    void Start() {
        globalController = GameObject.FindObjectOfType<GlobalController>();
        whiteWorldChild.GetComponent<ConnectedObjects>().parentCamera = globalController.whiteWorldController.GetComponent<Camera>();
        blackWorldChild.GetComponent<ConnectedObjects>().parentCamera = globalController.blackWorldController.GetComponent<Camera>();
    }

    public void gotCaptured() {
        globalController.incrementScore();
        Destroy( this.gameObject );
    }
}
