﻿using UnityEngine;
using System.Collections;

public class ParticleSystemColorFader : MonoBehaviour {

    public WorldController controller;
    private Color targetColor;
    private ParticleSystem particleSystem;

    void Start() {
        particleSystem = GetComponent<ParticleSystem>();
        targetColor = particleSystem.startColor;
    }

    void Update() {
        particleSystem.startColor = controller.getFadedColor( controller.foregroundStartingColor, getTargetColor() );
	}

    Color getTargetColor() {
        if ( controller.isWinning() ) {
            return targetColor;
        }
        return controller.foregroundLosingColor;
    }
}
