﻿using UnityEngine;
using System.Collections;

public class SpriteColorFader : MonoBehaviour {

    public WorldController controller;
    private Color targetColor;
    private SpriteRenderer spriteRenderer;

    void Start() {
        spriteRenderer = GetComponent<SpriteRenderer>();
        targetColor = spriteRenderer.color;
    }

    void Update() {
        spriteRenderer.color = controller.getFadedColor( controller.foregroundStartingColor, getTargetColor() );
	}

    Color getTargetColor() {
        if ( controller.isWinning() ) {
            return targetColor;
        }
        return controller.foregroundLosingColor;
    }
}
